Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.web.jcr.rest.client
Class RestClientI18n

    java.lang.Object
      org.modeshape.web.jcr.rest.client.RestClientI18n

    public final class RestClientI18n

extends Object

The `RestClientI18n` class provides localized messages.

Field Summary
`static I18n` | `childNodeDefinitionShortDescription`
`static I18n` | `connectionErrorMsg`
`static I18n` | `createFileFailedMsg`
`static I18n` | `createFolderFailedMsg`
`static I18n` | `getNodeTypeFailedMsg`
`static I18n` | `getNodeTypesFailedMsg`
`static I18n` | `getRepositoriesFailedMsg`
`static I18n` | `getWorkspacesFailedMsg`
`static I18n` | `invalidQueryLanguageMsg`
`static I18n` | `invalidQueryMsg`
`static I18n` | `nodeTypeShortDescription`
`static I18n` | `nullArgumentMsg`
`static I18n` | `propertyDefinitionShortDescription`
`static I18n` | `publishFailedMsg`
`static I18n` | `publishSucceededMsg`
`static I18n` | `repositoryShortDescription`
`static I18n` | `serverShortDescription`
`static I18n` | `unableToConvertValue`
`static I18n` | `unknownHttpRequestMethodMsg`
`static I18n` | `unpublishFailedMsg`
`static I18n` | `unpublishNeverPublishedMsg`
`static I18n` | `unpublishSucceededMsg`
`static I18n` | `updateFileFailedMsg`
`static I18n` | `workspaceShortDescription`

Constructor Summary
`RestClientI18n()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nullArgumentMsg

    public static I18n nullArgumentMsg

### repositoryShortDescription

    public static I18n repositoryShortDescription

### serverShortDescription

    public static I18n serverShortDescription

### unknownHttpRequestMethodMsg

    public static I18n unknownHttpRequestMethodMsg

### workspaceShortDescription

    public static I18n workspaceShortDescription

### nodeTypeShortDescription

    public static I18n nodeTypeShortDescription

### propertyDefinitionShortDescription

    public static I18n propertyDefinitionShortDescription

### childNodeDefinitionShortDescription

    public static I18n childNodeDefinitionShortDescription

### unableToConvertValue

    public static I18n unableToConvertValue

### connectionErrorMsg

    public static I18n connectionErrorMsg

### createFileFailedMsg

    public static I18n createFileFailedMsg

### updateFileFailedMsg

    public static I18n updateFileFailedMsg

### createFolderFailedMsg

    public static I18n createFolderFailedMsg

### getRepositoriesFailedMsg

    public static I18n getRepositoriesFailedMsg

### getWorkspacesFailedMsg

    public static I18n getWorkspacesFailedMsg

### publishFailedMsg

    public static I18n publishFailedMsg

### unpublishFailedMsg

    public static I18n unpublishFailedMsg

### unpublishNeverPublishedMsg

    public static I18n unpublishNeverPublishedMsg

### publishSucceededMsg

    public static I18n publishSucceededMsg

### unpublishSucceededMsg

    public static I18n unpublishSucceededMsg

### invalidQueryLanguageMsg

    public static I18n invalidQueryLanguageMsg

### invalidQueryMsg

    public static I18n invalidQueryMsg

### getNodeTypesFailedMsg

    public static I18n getNodeTypesFailedMsg

### getNodeTypeFailedMsg

    public static I18n getNodeTypeFailedMsg

Constructor Detail

### RestClientI18n

    public RestClientI18n()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.